import React from "react";
import { SvgCss } from "react-native-svg";

export default () => {
  
  const xml = `
    <svg width="100%" height="100%" fill="none" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid meet">
      <g clip-path="url(#clip0)">
        <rect opacity="0.6" width="100%" height="100%" fill="url(#paint0_radial)"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M336.884 -82.7259L336.884 -82.726C361.937 -84.7206 389.482 -86.9136 404.77 -67.8706C418.434 -50.8512 412.281 -28.292 406.3 -6.36575L406.3 -6.36541C404.888 -1.19072 403.487 3.94871 402.357 8.97173C401.213 14.0595 400.271 19.3708 399.323 24.7171C395.332 47.2146 391.231 70.3319 371.516 80.0216C349.668 90.7595 325.843 77.661 303.866 65.5787C301.198 64.1121 298.558 62.6606 295.952 61.2684C273.694 49.3792 249.898 36.2265 243.757 11.7774C237.497 -13.147 248.677 -39.0348 265.982 -58.0529C281.942 -75.5932 305.538 -80.4629 329.212 -82.1375C331.732 -82.3158 334.294 -82.5198 336.884 -82.7259ZM86.3634 111.127C94.8441 99.2986 96.0877 83.6978 94.284 69.2446C92.7491 56.9461 85.5831 46.804 78.4293 36.6791L78.4293 36.679L78.4292 36.6789C77.8787 35.8998 77.3282 35.1207 76.7804 34.3407C75.8411 33.0033 74.911 31.6518 73.9801 30.299C67.1837 20.4226 60.3416 10.4798 49.5129 5.50211C36.3218 -0.561562 21.1271 -1.60843 7.159 2.33725C-7.17313 6.38574 -19.7329 15.4195 -28.4446 27.5233C-37.1361 39.5991 -40.8983 54.3549 -40.9975 69.2446C-41.0973 84.214 -38.2083 99.5844 -29.0034 111.373C-19.9743 122.936 -5.80569 128.702 8.35811 132.453C21.8585 136.029 35.7513 135.776 49.223 132.093C63.2747 128.251 77.8637 122.982 86.3634 111.127ZM407.638 172.397C403.497 157.027 389.79 143.02 373.919 142.05C357.451 141.045 345.194 155.261 334.614 167.936C334.413 168.177 334.212 168.418 334.01 168.659L333.716 169.011C322.902 181.95 310.641 196.619 314.848 212.817C318.377 226.407 332.225 232.238 345.608 237.873C348.351 239.029 351.076 240.176 353.687 241.38C356.779 242.805 360.064 244.596 363.43 246.431L363.431 246.431L363.431 246.431C376.209 253.396 390.152 260.995 399.094 251.656C405.928 244.517 401.499 235.298 396.791 225.497C393.256 218.14 389.564 210.455 390.36 203.075C390.968 197.436 395.339 193.021 399.578 188.74C404.568 183.699 409.375 178.845 407.638 172.397ZM11.7283 215.172C9.46758 215.73 7.19318 216.291 4.88427 216.293C2.62794 216.296 0.391502 215.713 -1.82835 215.134C-4.92585 214.327 -7.99107 213.527 -11.033 214.339C-16.1472 215.703 -20.0309 219.778 -23.6976 223.625C-23.8219 223.756 -23.9458 223.886 -24.0696 224.016C-27.9049 228.035 -31.1335 232.558 -33.2987 237.674C-35.5571 243.01 -37.2886 248.687 -36.9598 254.472C-36.626 260.344 -34.2278 265.858 -31.4035 271.018C-31.1307 271.517 -30.8583 272.022 -30.584 272.531C-27.9851 277.355 -25.22 282.487 -20.3582 284.805C-16.5932 286.601 -12.3579 285.999 -8.10999 285.396C-6.22915 285.129 -4.34583 284.861 -2.49976 284.801C-1.38231 284.765 -0.267944 284.75 0.843193 284.735C4.6164 284.684 8.35238 284.633 12.0454 283.753C16.5592 282.677 20.6295 280.581 24.75 278.458C24.9351 278.363 25.1203 278.268 25.3057 278.172C26.6058 277.503 27.9877 276.918 29.3718 276.333C33.1347 274.74 36.9141 273.14 39.1119 269.829C41.1907 266.698 41.2028 262.845 41.2149 258.982C41.2202 257.274 41.2256 255.564 41.4094 253.913C41.5831 252.354 41.8467 250.8 42.1097 249.25C42.7599 245.418 43.4062 241.61 42.6786 237.8C41.613 232.221 39.2959 226.745 35.426 222.586C31.571 218.444 26.3597 215.448 20.8161 214.306C17.778 213.68 14.7655 214.423 11.7283 215.172Z" fill="url(#paint1_radial)"/>
      </g>
      <defs>
        <radialGradient id="paint0_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(332.547 226.035) rotate(166.938) scale(239.693 812.741)">
          <stop stop-color="#D2AFF3"/>
          <stop offset="1" stop-color="#BAC6F8"/>
        </radialGradient>
        <radialGradient id="paint1_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(361.604 226.903) rotate(165.233) scale(292.335 1109.69)">
          <stop stop-color="#D2AFF3"/>
          <stop offset="1" stop-color="#BAC6F8"/>
        </radialGradient>
        <clipPath id="clip0">
          <rect width="100%" height="100%" fill="white"/>
        </clipPath>
      </defs>
    </svg> 
  `;

  return (
    <SvgCss xml={xml} />
  );
}
